/*
 * Copyright (c) 2020 Proton Technologies AG
 * 
 * This file is part of ProtonMail.
 * 
 * ProtonMail is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * ProtonMail is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ProtonMail. If not, see https://www.gnu.org/licenses/.
 */
package ch.protonmail.android.api.models.room.messages

import androidx.room.ColumnInfo
import com.google.gson.annotations.SerializedName
import java.io.Serializable

data class MessageSender constructor(
		@ColumnInfo(name = COLUMN_MESSAGE_SENDER_NAME)
		var name:String?,
		@ColumnInfo(name = COLUMN_MESSAGE_SENDER_EMAIL)
		@SerializedName("Address")
		var emailAddress:String?):Serializable,Comparable<MessageSender> {

	override fun toString():String {
		return "$name $emailAddress"
	}

	override fun compareTo(other:MessageSender):Int {
		return name!!.compareTo(other.name!!)
	}
}
